<?php

namespace App\Menu;

use Sebastienheyd\Boilerplate\Menu\Builder;

class Shop
{
    public function make(Builder $menu)
    {
        $menu->add('Catalogue', ['permission' => 'backend_access', 'icon' => 'store'])
            ->id('shop')
            ->activeIfRoute('shop')
            ->order(2);

        $menu->addTo('shop', 'Articles', ['route' => 'Admin.Shop.Articles.index', 'permission' => 'backend_access'])
            ->activeIfRoute(['Admin.Shop.Articles.*'])->order(1);
        $menu->addTo('shop', 'Déclinaisons', ['route' => 'Admin.Shop.Variations.index', 'permission' => 'backend_access'])
            ->activeIfRoute(['Admin.Shop.Variations.*'])->order(2);
        $menu->addTo('shop', 'Tarifs', ['route' => 'Admin.Shop.Tariffs.index', 'permission' => 'backend_access'])
            ->activeIfRoute(['Admin.Shop.Tariffs.*'])->order(3);
        $menu->addTo('shop', 'Offres', ['route' => 'Admin.Shop.Offers.index', 'permission' => 'backend_access'])
            ->activeIfRoute(['Admin.Shop.Offers.*'])->order(4);

        $menu->addTo('shop', 'Rayons', ['route' => 'Admin.Shop.Categories.index', 'permission' => 'backend_access'])
            ->activeIfRoute(['Admin.Shop.Categories.*'])->order(6);

        $menu->addTo('shop', 'Tags', ['route' => 'Admin.Shop.Tags.index', 'permission' => 'backend_access'])
            ->activeIfRoute(['Admin.Shop.Tags.*'])->order(8);

        $menu->addTo('shop', 'Natures d\'articles', ['route' => 'Admin.Shop.ArticleNatures.index', 'permission' => 'backend_access'])
            ->activeIfRoute(['Admin.Shop.ArticleNatures.*'])->order(9);

        $menu->addTo('shop', 'Packages', ['route' => 'Admin.Shop.Packages.index', 'permission' => 'backend_access'])
            ->activeIfRoute(['Admin.Shop.Packages.*'])->order(12);

        $menu->addTo('shop', 'Unités', ['route' => 'Admin.Shop.Unities.index', 'permission' => 'backend_access'])
            ->activeIfRoute(['Admin.Shop.Unities.*'])->order(14);
    }
}
